textures/matrix/white
{
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	surfaceparm nomarks
        q3map_surfacelight 1000
	{
		map textures/matrix/white.jpg
	}
}

textures/matrix/ely_cloudtop
{
	qer_editorimage env/matrix/cloudtop_dn.tga
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	surfaceparm nomarks
        surfaceparm nodamage
	surfaceparm sky
        q3map_sunExt .5 1 .6 60 230 60 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_backsplash 0 0
        q3map_skylight 20 3
        q3map_lightsubdivide 256
	q3map_noFog
	q3map_globaltexture
	skyparms env/matrix/cloudtop - -
}

textures/matrix/ely_cloudtop2
{
	qer_editorimage env/matrix/cloudtop_dn.tga
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	surfaceparm nomarks
        surfaceparm nodamage
	surfaceparm sky
        q3map_sunExt .5 1 .6 150 230 120 3 16
	q3map_lightmapFilterRadius 0 8
	q3map_backsplash 0 0
        q3map_skylight 20 3
        q3map_lightsubdivide 256
	q3map_noFog
	q3map_globaltexture
	skyparms env/matrix/cloudtop - -
}

textures/matrix/clip_nokick
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}

textures/matrix/window_1
{
        qer_editorimage textures/matrix/window_1
	{
		map textures/matrix/window_1.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/matrix/envmap.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}          		
}

textures/matrix/window_2
{
        qer_editorimage textures/matrix/window_2
        q3map_surfacelight 1500
	q3map_lightrgb 1 1 0.7
	{
		map textures/matrix/window_2.jpg
	}	          		
}

textures/matrix/window_3
{
        qer_editorimage textures/matrix/window_3
        q3map_surfacelight 1500
	q3map_lightrgb 1 1 0.7
	{
		map textures/matrix/window_3.jpg
	}	          		
}

textures/matrix/window_4
{
        qer_editorimage textures/matrix/green
        q3map_surfacelight 1500
//	q3map_lightrgb 0.5 1 0.6
	{
		map textures/matrix/green.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/matrix/envmap2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}          		
}

textures/matrix/glass
{	
	qer_editorimage textures/common/invisible.tga
	qer_trans 0.5
	surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nodamage
        sort 16
	{
		map textures/matrix/envmap.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
//	{
//		map textures/matrix/matrix.jpg
//		tcMod scale 0.1 0.1
//		tcmod scroll 0 -0.2
//		blendfunc GL_ONE GL_ONE
//	}
}

textures/matrix/glass_slick
{	
	qer_editorimage textures/common/invisible.tga
	qer_trans 0.5
	surfaceparm nolightmap
        surfaceparm trans
        surfaceparm slick
        surfaceparm nodamage
        sort 16
	{
		map textures/matrix/envmap.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
//	{
//		map textures/matrix/matrix.jpg
//		tcMod scale 0.1 0.1
//		tcmod scroll 0 -0.2
//		blendfunc GL_ONE GL_ONE
//	}
}

textures/matrix/green_flare
{
    qer_trans 0.50
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
                clampmap textures/matrix/green_flare.jpg
                blendFunc GL_ONE GL_ONE
          }
}

textures/matrix/tile:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/tile.jpg
	}
}

textures/matrix/trim:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/trim.jpg
	}
}

textures/matrix/concrete_panels:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/concrete_panels.tga
	}
}

textures/matrix/base_flat_med:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/base_flat_med.tga
	}
}

textures/matrix/base_flat_dark:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/base_flat_dark.tga
	}
}

textures/matrix/base_floor:q3map
{
        surfaceparm nodamage
	{
		map textures/matrix/base_floor.tga
	}
}

textures/matrix/rope
{
        surfaceparm nonsolid
        deformvertexes autosprite2
        cull none
	{
		map textures/matrix/rope.jpg
		rgbgen identity
	}
        {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/matrix/vent1
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
        {
                map textures/matrix/vent1.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/vent2
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
        {
                map textures/matrix/vent2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/vent3
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
        {
                map textures/matrix/vent3.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/start
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/start.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump1
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump1.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump2
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump3
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump3.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump4
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump4.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump5
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump5.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/jump6
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/jump6.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/stripes
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/stripes.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/keres_decal1
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal1.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal2.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal3
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal3.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal4.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal4.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal5
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal5.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal6
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal6.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal7
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/matrix/keres_decal7.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/matrix/keres_decal8
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/keres_decal8.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/keres_decal9
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/keres_decal9.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/keres_decal10
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	nopicmip
        {
                map textures/matrix/keres_decal10.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/fence
{
	qer_alphafunc greater 0.5
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
        cull none
        nomipmaps
	nopicmip
        {
                map textures/matrix/fence.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
                rgbGen vertex
                alphaGen vertex
        }
}

textures/matrix/red_pill
{
        surfaceparm trans
        {
		map textures/matrix/red_pill.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/matrix/envmap.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/matrix/blue_pill
{
        surfaceparm trans
        {
		map textures/matrix/blue_pill.jpg
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/matrix/envmap.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/matrix/floor_1
{
        qer_editorimage textures/matrix/lobby_2.tga
        surfaceparm nodamage
	{

		rgbGen identity
		map $lightmap
	}
	{
		map textures/matrix/lobby_2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/matrix/envmap2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/matrix/lobby_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/matrix/floor_2
{
        qer_editorimage textures/matrix/lobby_3.tga
        surfaceparm nodamage
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/matrix/lobby_3.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/matrix/envmap2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/matrix/lobby_3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/matrix/lobby_1
{
        surfaceparm slick
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/matrix/lobby_1.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/matrix/black.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/matrix/lobby_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/matrix/light_1_white
{
	qer_editorimage textures/matrix/light_1.jpg
        q3map_surfacelight 3000
	{
		map textures/matrix/light_1.jpg
	}	          		
}

textures/matrix/light_1_green
{
	qer_editorimage textures/matrix/light_1.jpg
        q3map_surfacelight 5000
	q3map_lightrgb 0.5 1 0.6
	{
		map textures/matrix/light_1.jpg
	}	          		
}

textures/matrix/light_2_white
{
	qer_editorimage textures/matrix/light_2.jpg
        q3map_surfacelight 10000
	{
		map textures/matrix/light_2.jpg
	}	          		
}

textures/matrix/light_2_green
{
	qer_editorimage textures/matrix/light_2.jpg
        q3map_surfacelight 8000
	q3map_lightrgb 0.5 1 0.6
	{
		map textures/matrix/light_2.jpg
	}	          		
}

textures/matrix/light_3
{
        q3map_surfacelight 2000
	{
		map textures/matrix/light_3.jpg
	}	          		
}

textures/matrix/environment_2
{
	surfaceparm nomarks
	{
		map textures/matrix/environment_2.tga
		tcmod scroll 0 0.2
	}
}

textures/matrix/environment_3
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/matrix/environment_3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/matrix/white_ceiling
{
        surfaceparm pointlight
	q3map_novertexshadows
	{
		map textures/matrix/white_ceiling.jpg
		rgbGen vertex
	}
}

textures/matrix/matrix
{
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm noimpact
        surfaceparm nodamage
        surfaceparm slick
	nopicmip
	{
		map textures/matrix/matrix.jpg
		tcmod scroll 0 1
	}
}

yextures/matrix/black
{
        surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/matrix/black.tga
		alphaFunc GT0
		blendFunc filter
	}
}

levelshots/ut4_matrixjumps_b1
{
	nopicmip
	nomipmaps
        {
                map levelshots/matrixjumps.tga
        }
        {
		animmap 8 levelshots/matrix_code1.tga levelshots/matrix_code2.tga levelshots/matrix_code3.tga levelshots/matrix_code4.tga levelshots/matrix_code5.tga levelshots/matrix_code6.tga levelshots/matrix_code7.tga levelshots/matrix_code8.tga 
		alphafunc ge128
        }
}